Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class Triple<T1,T2,T3>

    java.lang.Object
      edu.stanford.nlp.util.Triple<T1,T2,T3>

All Implemented Interfaces:
  Serializable

    public class Triple<T1,T2,T3>

extends Object
implements Serializable

Class representing an ordered triple of objects, possibly typed. Useful when you'd like a method to return three objects, or would like to put triples of objects in a Collection or Map. equals() and hashcode() should work properly.

Author:
  Teg Grenager (grenager@stanford.edu)
See Also:
  Serialized Form

Field Summary
`T1` | `first`
`T2` | `second`
`T3` | `third`

Constructor Summary
`Triple(T1 first, T2 second, T3 third)`

Method Summary
`boolean` | `equals(Object o)`
`T1` | `first()`
`int` | `hashCode()`
`T2` | `second()`
`void` | `setFirst(T1 o)`
`void` | `setSecond(T2 o)`
`void` | `setThird(T3 o)`
`T3` | `third()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### first

    public T1 first

### second

    public T2 second

### third

    public T3 third

Constructor Detail

### Triple

    public Triple(T1 first,
                  T2 second,
                  T3 third)

Method Detail

### first

    public T1 first()

### second

    public T2 second()

### third

    public T3 third()

### setFirst

    public void setFirst(T1 o)

### setSecond

    public void setSecond(T2 o)

### setThird

    public void setThird(T3 o)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group